summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorZhao Lei <zhaolei@cn.fujitsu.com>2015-07-28 10:28:13 +0800
committerDavid Sterba <dsterba@suse.com>2015-10-19 11:48:24 +0200
commit9c3ce57e6bdb8f6af86e2c517bc8ea713e93a2c2 (patch)
treefc1a7349697a19025b4ab68f173f34f4dcd94e0e /tests
parent58fbb78addbfa147548be150ea798983d234086c (diff)
btrfs-progs: tests: Avoid printing useless warning in fsck tests
002-bad-transid outout 'transid verify failed' message in screen which is just a warning in btrfs-image in normal condition of this test. This patch move above warning into $RESULTS, to: 1: Avoid trouble screen output 2: Let user known detail if other error happened in btrfs-image Before patch: # ./fsck-tests.sh [TEST] 001-bad-file-extent-bytenr [TEST] 002-bad-transid parent transid verify failed on 29360128 wanted 9 found 755944791 parent transid verify failed on 29360128 wanted 9 found 755944791 Ignoring transid failure [TEST] 003-shift-offsets [TEST] 004-no-dir-index ... After patch: # ./fsck-tests.sh [TEST] 001-bad-file-extent-bytenr [TEST] 002-bad-transid [TEST] 003-shift-offsets [TEST] 004-no-dir-index ... Signed-off-by: Zhao Lei <zhaolei@cn.fujitsu.com> Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/common5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/common b/tests/common
index 67d15588..45713506 100644
--- a/tests/common
+++ b/tests/common
@@ -97,8 +97,9 @@ extract_image()
if ! [ -f $image.restored ]; then
echo "restoring image $(basename $image)" >> $RESULTS
- $TOP/btrfs-image -r $image $image.restored || \
- _fail "failed to restore image $image" >&2
+ $TOP/btrfs-image -r $image $image.restored \
+ &>> $RESULTS \
+ || _fail "failed to restore image $image" >&2
fi
[ -f "$cleanme" ] && rm -f "$cleanme"